<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width,initial-scale=1.0">
  <title>
    <%= htmlWebpackPlugin.options.title %>
  </title>

  <style>
    img {
      pointer-events: none;
      -webkit-user-select: none;
      -moz-user-select: none;
      user-select: none;
    }
  </style>

</head>

<body>
  <noscript>
    <strong>We're sorry but <%= htmlWebpackPlugin.options.title %> doesn't work properly without JavaScript enabled.
        Please enable it to continue.</strong>
  </noscript>
  <div id="app"></div>

  <script>

    if (!window.location.href.includes('&T=1')) {
      document.addEventListener("contextmenu", function (e) {
        e.preventDefault();
      });
      document.onkeydown = () => {
        //禁用F12
        if (window.event && window.event.keyCode == 123) {
          return false;
          //禁用ctrl+shift+i,
        } else if (
          window.event.ctrlKey &&
          window.event.shiftKey &&
          window.event.keyCode == 73
        ) {
          return false;
          //屏蔽Shift+F10
        } else if (window.event.shiftKey && window.event.keyCode == 121) {
          return false;
        }
      };
    }

  </script>

  <!-- built files will be auto injected -->
</body>

</html>